# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks

default_language_version:
  python: python3.6

exclude: ^src/auditwheel/_vendor/

repos:
- repo: https://github.com/pre-commit/pre-commit-hooks
  rev: v4.1.0
  hooks:
  - id: check-builtin-literals
  - id: check-added-large-files
  - id: check-case-conflict
  - id: check-json
  - id: check-toml
  - id: check-yaml
  - id: debug-statements
  - id: end-of-file-fixer
    exclude: ^cache/
  - id: forbid-new-submodules
  - id: trailing-whitespace

- repo: https://github.com/asottile/pyupgrade
  rev: v2.30.1
  hooks:
  - id: pyupgrade
    args: ["--py36-plus"]

- repo: https://github.com/psf/black
  rev: 22.8.0
  hooks:
  - id: black

- repo: https://github.com/PyCQA/isort
  rev: 5.10.1
  hooks:
  - id: isort

- repo: https://github.com/PyCQA/flake8
  rev: 5.0.4
  hooks:
  - id: flake8

- repo: https://github.com/pre-commit/mirrors-mypy
  rev: v0.931
  hooks:
  - id: mypy
    exclude: ^tests/integration/.*/.*$
    additional_dependencies:
      - types-requests
